import isObject_default from "./isObject.js";
var objectCreate = Object.create, _baseCreate_default = function() {
	function n() {}
	return function(r) {
		if (!isObject_default(r)) return {};
		if (objectCreate) return objectCreate(r);
		n.prototype = r;
		var i = new n();
		return n.prototype = void 0, i;
	};
}();
export { _baseCreate_default as default };
